Package com.ocient.jdbc.proto

# Class PlanProtocol.HashJoinOperator

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.ocient.jdbc.proto.PlanProtocol.HashJoinOperator

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.HashJoinOperatorOrBuilder`, `Serializable`

Enclosing class:
  PlanProtocol

    public static final class PlanProtocol.HashJoinOperator
    extends com.google.protobuf.GeneratedMessageV3
    implements PlanProtocol.HashJoinOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.HashJoinOperator`

See Also:
  Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `PlanProtocol.HashJoinOperator.Builder` | Protobuf type `xg.db.sqlPlans.HashJoinOperator`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CBC_FIELD_NUMBER` |
`static int` | `FILTERS_FIELD_NUMBER` |
`static int` | `GDCJOIN_FIELD_NUMBER` |
`static int` | `IMPLICIT_PROJS_FIELD_NUMBER` |
`static int` | `JOIN_COLS_FIELD_NUMBER` |
`static int` | `MATCHNULLKEYS_FIELD_NUMBER` |
`static int` | `MATCHNULLKEYSIDXES_FIELD_NUMBER` |
`static int` | `PRODUCTMULTIPLEX_FIELD_NUMBER` |
`static int` | `SCALAR_FIELD_NUMBER` |
`static int` | `TYPE_FIELD_NUMBER` |
`static int` | `ZERO_FIELD_NUMBER` |

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object obj)` |
`boolean` | `getCbc()` | flags indicating that this is actually a correlated count bug correction join
`static PlanProtocol.HashJoinOperator` | `getDefaultInstance()` |
`PlanProtocol.HashJoinOperator` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`PlanProtocol.Disjunction` | `getFilters​(int index)` | Any additional filters that have to be applied to the join If there are more than 2 children, it will be empty
`int` | `getFiltersCount()` | Any additional filters that have to be applied to the join If there are more than 2 children, it will be empty
`List<PlanProtocol.Disjunction>` | `getFiltersList()` | Any additional filters that have to be applied to the join If there are more than 2 children, it will be empty
`PlanProtocol.DisjunctionOrBuilder` | `getFiltersOrBuilder​(int index)` | Any additional filters that have to be applied to the join If there are more than 2 children, it will be empty
`List<? extends PlanProtocol.DisjunctionOrBuilder>` | `getFiltersOrBuilderList()` | Any additional filters that have to be applied to the join If there are more than 2 children, it will be empty
`boolean` | `getGdcJoin()` | Whether or not this is a gdc join
`boolean` | `getImplicitProjs​(int index)` | implicitly project gdc keys [(for left child, for right child), ...] each
`int` | `getImplicitProjsCount()` | implicitly project gdc keys [(for left child, for right child), ...] each
`List<Boolean>` | `getImplicitProjsList()` | implicitly project gdc keys [(for left child, for right child), ...] each
`PlanProtocol.JoinCols` | `getJoinCols​(int index)` | Each entry represents the equijoin columns for one child, they are in order of the children
`int` | `getJoinColsCount()` | Each entry represents the equijoin columns for one child, they are in order of the children
`List<PlanProtocol.JoinCols>` | `getJoinColsList()` | Each entry represents the equijoin columns for one child, they are in order of the children
`PlanProtocol.JoinColsOrBuilder` | `getJoinColsOrBuilder​(int index)` | Each entry represents the equijoin columns for one child, they are in order of the children
`List<? extends PlanProtocol.JoinColsOrBuilder>` | `getJoinColsOrBuilderList()` | Each entry represents the equijoin columns for one child, they are in order of the children
`boolean` | `getMatchNullKeys()` | Whether or not this join is matching null keys
`long` | `getMatchNullKeysIdxes​(int index)` | Which equi join conditions match null keys? The index here corresponds to join col position in join_cols
`int` | `getMatchNullKeysIdxesCount()` | Which equi join conditions match null keys? The index here corresponds to join col position in join_cols
`List<Long>` | `getMatchNullKeysIdxesList()` | Which equi join conditions match null keys? The index here corresponds to join col position in join_cols
`com.google.protobuf.Parser<PlanProtocol.HashJoinOperator>` | `getParserForType()` |
`boolean` | `getProductMultiplex()` | Should we use a product multiplexer instead of a hash join multiplexer?
`boolean` | `getScalar()` | `bool scalar = 5;`
`int` | `getSerializedSize()` |
`PlanProtocol.JoinType` | `getType()` | Type of the join - if there are more than 2 children, it will be INNER
`int` | `getTypeValue()` | Type of the join - if there are more than 2 children, it will be INNER
`com.google.protobuf.UnknownFieldSet` | `getUnknownFields()` |
`boolean` | `getZero()` | `bool zero = 6;`
`int` | `hashCode()` |
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`static PlanProtocol.HashJoinOperator.Builder` | `newBuilder()` |
`static PlanProtocol.HashJoinOperator.Builder` | `newBuilder​(PlanProtocol.HashJoinOperator prototype)` |
`PlanProtocol.HashJoinOperator.Builder` | `newBuilderForType()` |
`protected PlanProtocol.HashJoinOperator.Builder` | `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)` |
`static PlanProtocol.HashJoinOperator` | `parseDelimitedFrom​(InputStream input)` |
`static PlanProtocol.HashJoinOperator` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.HashJoinOperator` | `parseFrom​(byte[] data)` |
`static PlanProtocol.HashJoinOperator` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.HashJoinOperator` | `parseFrom​(com.google.protobuf.ByteString data)` |
`static PlanProtocol.HashJoinOperator` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.HashJoinOperator` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
`static PlanProtocol.HashJoinOperator` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.HashJoinOperator` | `parseFrom​(InputStream input)` |
`static PlanProtocol.HashJoinOperator` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static PlanProtocol.HashJoinOperator` | `parseFrom​(ByteBuffer data)` |
`static PlanProtocol.HashJoinOperator` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static com.google.protobuf.Parser<PlanProtocol.HashJoinOperator>` | `parser()` |
`PlanProtocol.HashJoinOperator.Builder` | `toBuilder()` |
`void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newInstance, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

## Field Details

### JOIN_COLS_FIELD_NUMBER

public static final int JOIN_COLS_FIELD_NUMBER

See Also:
  Constant Field Values

### FILTERS_FIELD_NUMBER

public static final int FILTERS_FIELD_NUMBER

See Also:
  Constant Field Values

### TYPE_FIELD_NUMBER

public static final int TYPE_FIELD_NUMBER

See Also:
  Constant Field Values

### CBC_FIELD_NUMBER

public static final int CBC_FIELD_NUMBER

See Also:
  Constant Field Values

### SCALAR_FIELD_NUMBER

public static final int SCALAR_FIELD_NUMBER

See Also:
  Constant Field Values

### ZERO_FIELD_NUMBER

public static final int ZERO_FIELD_NUMBER

See Also:
  Constant Field Values

### GDCJOIN_FIELD_NUMBER

public static final int GDCJOIN_FIELD_NUMBER

See Also:
  Constant Field Values

### MATCHNULLKEYS_FIELD_NUMBER

public static final int MATCHNULLKEYS_FIELD_NUMBER

See Also:
  Constant Field Values

### IMPLICIT_PROJS_FIELD_NUMBER

public static final int IMPLICIT_PROJS_FIELD_NUMBER

See Also:
  Constant Field Values

### MATCHNULLKEYSIDXES_FIELD_NUMBER

public static final int MATCHNULLKEYSIDXES_FIELD_NUMBER

See Also:
  Constant Field Values

### PRODUCTMULTIPLEX_FIELD_NUMBER

public static final int PRODUCTMULTIPLEX_FIELD_NUMBER

See Also:
  Constant Field Values

## Method Details

### getUnknownFields

public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getJoinColsList

public List<PlanProtocol.JoinCols> getJoinColsList()

    Each entry represents the equijoin columns for one child, they are in order of the children

`repeated .xg.db.sqlPlans.JoinCols join_cols = 1;`

Specified by:
  `getJoinColsList` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getJoinColsOrBuilderList

public List<? extends PlanProtocol.JoinColsOrBuilder> getJoinColsOrBuilderList()

    Each entry represents the equijoin columns for one child, they are in order of the children

`repeated .xg.db.sqlPlans.JoinCols join_cols = 1;`

Specified by:
  `getJoinColsOrBuilderList` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getJoinColsCount

public int getJoinColsCount()

    Each entry represents the equijoin columns for one child, they are in order of the children

`repeated .xg.db.sqlPlans.JoinCols join_cols = 1;`

Specified by:
  `getJoinColsCount` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getJoinCols

public PlanProtocol.JoinCols getJoinCols​(int index)

    Each entry represents the equijoin columns for one child, they are in order of the children

`repeated .xg.db.sqlPlans.JoinCols join_cols = 1;`

Specified by:
  `getJoinCols` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getJoinColsOrBuilder

public PlanProtocol.JoinColsOrBuilder getJoinColsOrBuilder​(int index)

    Each entry represents the equijoin columns for one child, they are in order of the children

`repeated .xg.db.sqlPlans.JoinCols join_cols = 1;`

Specified by:
  `getJoinColsOrBuilder` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getFiltersList

public List<PlanProtocol.Disjunction> getFiltersList()

    Any additional filters that have to be applied to the join
    If there are more than 2 children, it will be empty

`repeated .xg.db.sqlPlans.Disjunction filters = 2;`

Specified by:
  `getFiltersList` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getFiltersOrBuilderList

public List<? extends PlanProtocol.DisjunctionOrBuilder> getFiltersOrBuilderList()

    Any additional filters that have to be applied to the join
    If there are more than 2 children, it will be empty

`repeated .xg.db.sqlPlans.Disjunction filters = 2;`

Specified by:
  `getFiltersOrBuilderList` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getFiltersCount

public int getFiltersCount()

    Any additional filters that have to be applied to the join
    If there are more than 2 children, it will be empty

`repeated .xg.db.sqlPlans.Disjunction filters = 2;`

Specified by:
  `getFiltersCount` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getFilters

public PlanProtocol.Disjunction getFilters​(int index)

    Any additional filters that have to be applied to the join
    If there are more than 2 children, it will be empty

`repeated .xg.db.sqlPlans.Disjunction filters = 2;`

Specified by:
  `getFilters` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getFiltersOrBuilder

public PlanProtocol.DisjunctionOrBuilder getFiltersOrBuilder​(int index)

    Any additional filters that have to be applied to the join
    If there are more than 2 children, it will be empty

`repeated .xg.db.sqlPlans.Disjunction filters = 2;`

Specified by:
  `getFiltersOrBuilder` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getTypeValue

public int getTypeValue()

    Type of the join - if there are more than 2 children, it will be INNER

`.xg.db.sqlPlans.JoinType type = 3;`

Specified by:
  `getTypeValue` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getType

public PlanProtocol.JoinType getType()

    Type of the join - if there are more than 2 children, it will be INNER

`.xg.db.sqlPlans.JoinType type = 3;`

Specified by:
  `getType` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getCbc

public boolean getCbc()

    flags indicating that this is actually a correlated count bug correction join

`bool cbc = 4;`

Specified by:
  `getCbc` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getScalar

public boolean getScalar()
`bool scalar = 5;`

Specified by:
  `getScalar` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getZero

public boolean getZero()
`bool zero = 6;`

Specified by:
  `getZero` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getGdcJoin

public boolean getGdcJoin()

    Whether or not this is a gdc join

`bool gdcJoin = 7;`

Specified by:
  `getGdcJoin` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getMatchNullKeys

public boolean getMatchNullKeys()

    Whether or not this join is matching null keys

`bool matchNullKeys = 8;`

Specified by:
  `getMatchNullKeys` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getImplicitProjsList

public List<Boolean> getImplicitProjsList()

     implicitly project gdc keys [(for left child, for right child), ...] each

`repeated bool implicit_projs = 9;`

Specified by:
  `getImplicitProjsList` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getImplicitProjsCount

public int getImplicitProjsCount()

     implicitly project gdc keys [(for left child, for right child), ...] each

`repeated bool implicit_projs = 9;`

Specified by:
  `getImplicitProjsCount` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getImplicitProjs

public boolean getImplicitProjs​(int index)

     implicitly project gdc keys [(for left child, for right child), ...] each

`repeated bool implicit_projs = 9;`

Specified by:
  `getImplicitProjs` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getMatchNullKeysIdxesList

public List<Long> getMatchNullKeysIdxesList()

     Which equi join conditions match null keys? The index here corresponds to join col position in join_cols

`repeated uint64 matchNullKeysIdxes = 10;`

Specified by:
  `getMatchNullKeysIdxesList` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getMatchNullKeysIdxesCount

public int getMatchNullKeysIdxesCount()

     Which equi join conditions match null keys? The index here corresponds to join col position in join_cols

`repeated uint64 matchNullKeysIdxes = 10;`

Specified by:
  `getMatchNullKeysIdxesCount` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getMatchNullKeysIdxes

public long getMatchNullKeysIdxes​(int index)

     Which equi join conditions match null keys? The index here corresponds to join col position in join_cols

`repeated uint64 matchNullKeysIdxes = 10;`

Specified by:
  `getMatchNullKeysIdxes` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### getProductMultiplex

public boolean getProductMultiplex()

    Should we use a product multiplexer instead of a hash join multiplexer?

`bool productMultiplex = 11;`

Specified by:
  `getProductMultiplex` in interface `PlanProtocol.HashJoinOperatorOrBuilder`

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo​(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static PlanProtocol.HashJoinOperator parseFrom​(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.HashJoinOperator parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.HashJoinOperator parseFrom​(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.HashJoinOperator parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.HashJoinOperator parseFrom​(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.HashJoinOperator parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static PlanProtocol.HashJoinOperator parseFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static PlanProtocol.HashJoinOperator parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static PlanProtocol.HashJoinOperator parseDelimitedFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static PlanProtocol.HashJoinOperator parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static PlanProtocol.HashJoinOperator parseFrom​(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static PlanProtocol.HashJoinOperator parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public PlanProtocol.HashJoinOperator.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static PlanProtocol.HashJoinOperator.Builder newBuilder()

### newBuilder

public static PlanProtocol.HashJoinOperator.Builder newBuilder​(PlanProtocol.HashJoinOperator prototype)

### toBuilder

public PlanProtocol.HashJoinOperator.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected PlanProtocol.HashJoinOperator.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static PlanProtocol.HashJoinOperator getDefaultInstance()

### parser

public static com.google.protobuf.Parser<PlanProtocol.HashJoinOperator> parser()

### getParserForType

public com.google.protobuf.Parser<PlanProtocol.HashJoinOperator> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public PlanProtocol.HashJoinOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`